#!/bin/sh
# Used for feasibility check of shutdown / reboot

SZF_MIGRATOR_PROGRESS="/var/packages/MigrationAssistant/etc/progress"

if [ -f $SZF_MIGRATOR_PROGRESS ]; then
	status=$(jq -r .status $SZF_MIGRATOR_PROGRESS)

	# migration is still running
	if [ "running" == "$status" ] ||
	   [ "pausing" == "$status" ] ||
	   [ "paused" == "$status" ] ||
	   [ "cancelling" == "$status" ]; then
		exit 1
	fi
fi

exit 0
# vim: ts=4 sts=4 sw=4 noet:
